Browse Source

use a wrapper script to call MS link.exe to avoid mixing with /usr/bin/link.exe

favor link over link.exe in case some wrapper script already exists
fallback to "link" in the path if the one next to cl is not found

Signed-off-by: Michael Niedermayer <michael@niedermayer.cc>
Steve Lhomme 9 years ago
parent
commit
58ed7b6328
2 changed files with 10 additions and 1 deletions
  1. 9 0
      compat/windows/mslink
  2. 1 1
      configure

+ 9 - 0
compat/windows/mslink

@@ -0,0 +1,9 @@
+#!/bin/sh
+
+LINK_EXE_PATH=$(dirname "$(command -v cl)")/link
+if [ -x "$LINK_EXE_PATH" ]; then
+    "$LINK_EXE_PATH" $@
+else
+    link $@
+fi
+exit $?

+ 1 - 1
configure

@@ -3183,7 +3183,7 @@ case "$toolchain" in
         else
             cc_default="c99wrap cl"
         fi
-        ld_default="link"
+        ld_default="$source_path/compat/windows/mslink"
         nm_default="dumpbin -symbols"
         ar_default="lib"
         target_os_default="win32"